Module lirc_wpc8769l not provided

Bug #1065138 reported by mohrtutchy on 2012-10-10
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Debian
New
Undecided
Unassigned
linux-meta-lts-xenial (Ubuntu)
Undecided
Unassigned

Bug Description

This driver was provided by lirc-modules-source until natty.
Now lirc modules are moved to the kernel, by the way there is not any kernel package including lirc_wpc8769l.
It was forgotten by ubuntu packagers or it was rejected for some reason?

Book 'em Dano (heymrdjd) wrote :

You could try to compile te module from the source code in the natty repository or you could download the updated source code from lirc.org or you could search if there is a PPA that contains a deb file. I do not know why it was no longer provided.

affects: ubuntu → lirc (Ubuntu)
mohrtutchy (mohr-tutchy) wrote :

I tried to compile the module from the latest release of lirc. The module was built and modprobed successfully (under quantal and wheezy) but the ir device was unusable.
I suppose there is some problem with linux 3.x. It seems that some modules need to be rewritten in order to work properly under 3.x.
As an example I had the same problem with a dvb-usb driver. When the module was rewritten for linux 3.3 the device restarted to work as expected.

Book 'em Dano (heymrdjd) wrote :

If no one else provides any info you may want to peruse the Ubuntu Developer mailing list, <email address hidden>, and pose your question there or with the original maintainers, http://lists.alioth.debian.org/pipermail/pkg-lirc-maint/

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lirc (Ubuntu):
status: New → Confirmed
Alec Leamas (leamas-alec) wrote :

This driver has been dropped from upstream. It's still available in the attic/ directory, though.

The version lirc 0.9.4b (zesty - experimental) dynamically load drivers compiled out of tree, so compiling the source file is not hard (example Makefiles are available in upstream). That said, the driver needs a substantial rewrite to work with current kernels, perhaps a thing beyond the scope for a distribution in this case.

Alec Leamas (leamas-alec) wrote :

Rwe-assigning to lernel. After all, missing drivers is a kernel issue.

Alec Leamas (leamas-alec) wrote :

Moving to kernel,, media subsystem. My own opinion is that this is wontfix

affects: lirc (Ubuntu) → linux-meta-lts-xenial (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions